Edukiak

# LibreOffice softwarea parametroekin abiaraztea

LibreOffice softwarea komando-lerrotik abiaraztean, hainbat parametro esleitu daitezke eta, horien bidez, errendimenduan eragin daiteke. Komando-lerroko parametroak erabiltzea erabiltzaile aurreratuei bakarrik gomendatzen zaie.

Jarduera normalerako, ez da beharrezkoa komando-lerroko parametroak erabiltzea. Parametro batzuek LibreOffice softwarearen teknologiaren alderdi teknikoa hobeto ezagutzea eskatzen dute.

## LibreOffice softwarea komando-lerrotik abiaraztea

1. Bilatu Run Windowsen 'Hasiera' menuan.

2. Idatzi ondorengo testua Ireki testu-eremuan eta sakatu Ados.

3. "{install}\program\soffice.com" {parametroa}

   Ordeztu {install} katea zure LibreOffice softwarearen instalazioaren bide-izenarekin (adibidez, C:\Program Files\LibreOffice). Erabili soffice.exe eta ez soffice.com kontsola behar ez baduzu (alegia, ez baduzu komando-lerroko interfazea erabiltzen).

1. Ireki kontsola bat (Linux, *BSD edo macOS plataformetan).

2. Idatzi ondoko testu-lerroa eta sakatu ⏎ tekla:

   {instalazioa}/program/soffice {parametroa}

   Ordeztu {install} LibreOffice softwarearen instalazioaren bide-izenarekin (adibidez, /opt/LibreOffice UNIX sistemetan)

LibreOffice requires write access to its user profile directory.

## Komando-lerroko baliozko parametroak

### Argumentu berezirik gabe erabiltzea

Argumenturik gabe erabiliz gero, hasiera-zentroa irekiko da.

{file} | Fitxategia (fitxategiak) haientzat egokiena den osagaiarekin irekitzen saiatzen da.
{file} macro://./[Liburutegia.Modulua.MakroIzena] | Fitxategia irekitzen du eta fitxategian zehaztutako makroak aplikatzen ditu.

### Laguntza eta informazioa eskuratzea

Parametroa | Esanahia
--- | ---
--help / -h / -? | Komando-lerroko parametro erabilgarriak zerrendatzen ditu kontsolan.
--helpwriter | LibreOffice Writer aplikazioaren laguntza (barnekoa edo lineakoa) irekitzen du.
--helpcalc | LibreOffice Calc aplikazioaren laguntza (barnekoa edo lineakoa) irekitzen du.
--helpdraw | LibreOffice Draw aplikazioaren laguntza (barnekoa edo lineakoa) irekitzen du.
--helpimpress | LibreOffice Impress aplikazioaren laguntza (barnekoa edo lineakoa) irekitzen du.
--helpbase | LibreOffice Base aplikazioaren laguntza (barnekoa edo lineakoa) irekitzen du.
--helpbasic | LibreOffice Basic script-lengoaiaren laguntza (barnekoa edo lineakoa) irekitzen du.
--helpmath | LibreOffice Math aplikazioaren laguntza (barnekoa edo lineakoa) irekitzen du.
--version | LibreOffice bertsioa erakutsi eta irten egiten da.
--nstemporarydirectory | (macOS sandbox soilik) Uneko erabiltzailerako behin-behineko direktorioaren bide-izena itzultzen du eta irten egiten da. Gainerako argumentu guztiak gainidazten ditu.

### Argumentu orokorrak

Parametroa | Esanahia
--- | ---
--quickstart[=no] | Abiarazle bizkorra aktibatzen[desaktibatzen] du. Parametro bakarra har dezake, ez, abiarazle bizkorra desaktibatzeko. Parametrorik gabe, zerbitzua aktibo dago.
--nolockcheck | Instalazioa erabiltzen duten urruneko instantzien egiaztatzea desgaitzen du.

--infilter=InputFilterName
[:InputFilterParam[,param]]

Sarrerako iragazki mota bat behartzen du, posible bada. Adibidez:

--infilter="Calc Office Open XML"

--infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US".

Ikus fitxategiak bihurtzeko dokumentu-iragazkien zerrenda.

Lotus, dBase eta Diff fitxategietarako dauden iragazki-aukeren zerrenda.

CSV fitxategietarako iragazki-aukeren zerrenda.

The list of filter options for PDF files.

--pidfile={file} | Gorde soffice.bin pid-a {file} helbidean.
--display {display} | Unix eta antzeko plataformetako DISPLAY ingurune-aldagaian {display} balioa ezartzen du. Parametro hori UNIX eta antzeko plataformetan soilik onartzen du LibreOffice aplikazioaren abioko scriptak.

### Interfazearen kontrola erabiltzailearen/programazioaren bidez

Parametroa | Esanahia
--- | ---
--nologo | Programa abiaraztean ageri den harrerako pantaila desgaitzen du.
--minimized | Ikonotuta abiarazten da. Harrerako pantaila ez da bistaratzen.
--nodefault | Harrerako pantaila besterik ez da bistaratzen abiaraztean.

--invisible

Modu ikusezinean abiarazten da.

Ez dira bistaratuko ez abioko logotipoa ez hasierako programa-leihoa. LibreOffice softwarea kontrolatu daiteke eta dokumentuak eta elkarrizketa-koadroak API bidez kontrolatu eta ireki daitezke.

Parametroa erabilita, ataza-kudeatzailea (Windows) edo kill komandoa (Unix eta antzekoak) erabili behar da LibreOffice amaitzeko.

Ezin da --quickstart parametroarekin batera erabili.

Horri buruzko informazio gehiago, LibreOffice garatzailearen gidan.

--headless | "headless moduan" abiarazten da. Horrek aplikazioa erabiltzaile-interfazerik gabe erabiltzeko aukera ematen du. Aplikazioa kanpoko bezeroek API bidez kontrolatzen dutenean erabil daiteke modu berezi hori.
--norestore | Sistema kraskatzen denean aplikazioa berrabiarazi eta fitxategiak berreskuratu daitezen desgaitzen du.
--safe-mode | Modu seguruan abiarazten du, alegia, erabiltzaile-profil berri batekin, eta apurtutako konfigurazio bat leheneratzen laguntzen du.
--accept={UNO} | "UNO Acceptor Threads" sortzearen ondorioz, "UNO Accept String" erabiliko dela jakinarazten dio LibreOffice softwareari. UNO-URL mota honetako katea da: uno:connection-type,params;protocol-name,params;ObjectName. Horri buruzko informazio gehiago, LibreOffice garatzailearen gidan.
--unaccept={UNO-URL} | --accept={UNO-URL} bidez sortu den onartzaile bat ixten du. Erabili --unaccept=all irekitako onartzaile guztiak ixteko.
--language={lang} | Zehaztutako hizkuntza erabiltzen du, interfazerako dagoeneko hizkuntzarik hautatu ez bada. 'lang' hizkuntzaren etiketa bat da IETF hizkuntza-etiketan.

### Garatzaile-argumentuak

Parametroa | Esanahia
--- | ---
--terminate_after_init | Irten hasieratzea osatu ondoren (ez da dokumenturik kargatuko).

Unix eta Linux erabiltzaileek LibreOffice aplikazioari honako parametro gehigarriekin deitu diezaiokete arazketa egiteko.

Parametroa | Esanahia
--- | ---
--record | Araztaile hobetua.
--backtrace | Pila osoaren backtrace-a inprimatzen du.
--strace | strace Linuxerako utilitate bat da, erabiltzaile-espazioa diagnostikatu, araztu eta instrukzioak jarraitzeko balio duena.
--valgrind | Detektatu automatikoki memoriaren kudeaketako eta harien akatsak, eta profilatu programa xehetasunez.

Arazketa-aukerak (--record, --backtrace, --strace and --valgrind) ezin dira batera erabili. Erabili banan-banan.

### Dokumentu berria sortzeko argumentuak

Argumentuek, zehaztutako motako dokumentu huts bat sortzen dute. Haietako bat soilik erabili daiteke komando-lerroan. Fitxategi-izenak zehazten badira argumentu baten ondoren, fitxategi horiek zehaztutako osagaian irekitzeko saioa egiten da.

Parametroa | Esanahia
--- | ---
--writer | Writer dokumentu hutsarekin abiarazten da.
--calc | Calc dokumentu hutsarekin abiarazten da.
--draw | Draw dokumentu hutsarekin abiarazten da.
--impress | Impress dokumentu hutsarekin abiarazten da.
--math | Math dokumentu hutsarekin abiarazten da.
--global | Writer dokumentu maisu hutsarekin abiarazten da.
--web | HTML dokumentu hutsarekin abiarazten da.

### Fitxategiak irekitzeko argumentuak

Argumentuek definitzen dute ondoren datozen fitxategi-izenak nola tratatuko diren. Tratamendu berria argumentuaren ondoren hasten da eta hurrengo argumentuan amaitzen da. Tratamendu lehenetsia dokumentuak edizio moduan irekitzea da, eta dokumentu-txantiloietatik dokumentu berriak sortzea.

Parametroa | Esanahia
--- | ---
-n | Hurrengo fitxategiak dokumentu berriak sortzeko txantiloitzat hartzen ditu.
-o | Hurrengo fitxategiak ediziorako irekitzen ditu, txantiloiak izan nahi ez.

--pt {Printername}

Hurrengo fitxategiak {Printername} inprimagailuan inprimatzen ditu eta amaitu egiten da. Harrerako pantaila ez da agertzen.

Fitxategi-izenak zuriuneak baditu, komatxo artean jarri behar da.

Behin baino gehiagotan erabiltzen bada, azken {Printername} soilik izango du eragina --pt exekuzio guztien dokumentu guztietarako.

Era berean, --print-to-file parametro aldakorraren --printer-name argumentuak ere eragina du {Printername} aldagaian.

-p | Hurrengo fitxategiak inprimagailu lehenetsian inprimatzen ditu, eta ondoren fitxategi horiek itxi egingo dira. Harrerako pantaila ez da agertuko. Fitxategi-izenak zuriuneak baditu, komatxo artean jarri behar da.
--view | Hurrengo fitxategiak bistaratze moduan irekitzen ditu (irakurtzeko soilik).
--show[=N] | Opens and starts the slideshow of the following presentation documents immediately. Files are closed after the showing. N in the example refers to the slide number and, when it is provided, they start at that slide.

--convert-to OutputFileExtension
[:OutputFilterName
[:OutputFilterParams[,param]]]
[--outdir output_dir]

If --convert-to is used more than once, last value of OutputFileExtension[:OutputFilterName[:OutputFilterParams]] is effective. If --outdir is used more than once, only its last value is effective. In absence of --outdir, current working directory is used for the result. For example:

--convert-to pdf *.doc

--convert-to pdf:writer_pdf_Export --outdir /home/user *.doc

--convert-to "html:XHTML Writer File:UTF8" *.doc

--convert-to "txt:Text (encoded):UTF8" *.doc

Ikus fitxategiak bihurtzeko dokumentu-iragazkien zerrenda.

Lotus, dBase eta Diff fitxategietarako dauden iragazki-aukeren zerrenda.

CSV fitxategietarako iragazki-aukeren zerrenda.

The list of filter options for PDF files.

--print-to-file [--printer-name printer_name] [--outdir output_dir]

Sortaka inprimatzen ditu fitxategiak fitxategi gisa. Ez bada --outdir zehazten, uneko laneko direktorioa erabiliko da irteerako direktorio gisa.

Behin baino gehiagotan erabiltzen badira --printer-name edo --outdir parametroak, azken balioa soilik izango da eraginkorra. Era berean, --pt parametro aldakorraren {Printername} balioak eta --printer-name balioak elkar oztopatzen dute. Adibidez:

--print-to-file *.doc

--print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc

--cat | "txt:Text" iragazkia aplikatzen die hurrengo testu-dokumentuei, eta testu-edukia kontsolara isurtzen du (--headless inplikatzen du). Ezin da erabili --convert-to parametroarekin.
-env:VAR[=VALUE] | Ezarri abioko aldagai bat. Adibidez, lehenetsia ez den erabiltzaile baten profilaren bide-izena ezartzeko: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Ez ikusitako aldatzaileak

Parametroa | Esanahia
--- | ---
-psn | Ez ikusia (macOS soilik)
-Embedding | Ez ikusia (COM+ alorrekoa; Windows soilik)
--nofirststartwizard | Ez du ezer egiten, aurreko bertsioekiko bateragarritasunerako soilik onartuta.
--protector {arg1} {arg2} | Unitate-probetan soilik erabilia, bi argumentu izan beharko lituzke.